# Uses of Enum
org.eclipse.birt.chart.model.attribute.HorizontalAlignment

Packages that use HorizontalAlignment
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of HorizontalAlignment in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type HorizontalAlignment
Modifier and Type
Field
Description
`static final List<HorizontalAlignment>`
HorizontalAlignment.`VALUES`
A public read-only list of all the 'Horizontal Alignment' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return HorizontalAlignment
Modifier and Type
Method
Description
`static HorizontalAlignment`
HorizontalAlignment.`get(int value)`
Returns the 'Horizontal Alignment' literal with the specified integer value.
`static HorizontalAlignment`
HorizontalAlignment.`get(String literal)`
Returns the 'Horizontal Alignment' literal with the specified literal value.
`static HorizontalAlignment`
HorizontalAlignment.`getByName(String name)`
Returns the 'Horizontal Alignment' literal with the specified name.
`HorizontalAlignment`
TextAlignment.`getHorizontalAlignment()`
Returns the value of the 'Horizontal Alignment' attribute.
`static HorizontalAlignment`
HorizontalAlignment.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static HorizontalAlignment[]`
HorizontalAlignment.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type HorizontalAlignment
Modifier and Type
Method
Description
`void`
TextAlignment.`setHorizontalAlignment(HorizontalAlignment value)`
Sets the value of the '`Horizontal Alignment`' attribute.

## Uses of HorizontalAlignment in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return HorizontalAlignment
Modifier and Type
Method
Description
`HorizontalAlignment`
AttributeFactoryImpl.`createHorizontalAlignmentFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`HorizontalAlignment`
AttributeFactoryImpl.`createHorizontalAlignmentObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`HorizontalAlignment`
TextAlignmentImpl.`getHorizontalAlignment()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type HorizontalAlignment
Modifier and Type
Method
Description
`static final TextAlignment`
TextAlignmentImpl.`createDefault(HorizontalAlignment ha, VerticalAlignment va)`
A convenient method to create a new TextAlignment instance and initialize its members
`void`
TextAlignmentImpl.`setHorizontalAlignment(HorizontalAlignment newHorizontalAlignment)`